<?php
/*************************************************************
* Joomla LinkExchange
* Author: Murz. Web-site http://devel.shtrix.ru
* Version 3.0.0
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
*************************************************************/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

/**
* @package Joomla
* @subpackage Links
*/
class HTML_LinkExchange {

        function showLinks( $option, &$rows, &$lists, &$search, &$pageNav ) {
                global $my,$mosConfig_live_site;

                mosCommonHTML::loadOverlib();

                if (file_exists( '../includes/sef.php' ))
                    require_once( '../includes/sef.php' );
                if (file_exists( $mosConfig_absolute_path.'/components/com_sef/sef.php' ))
                    require_once( $mosConfig_absolute_path.'/components/com_sef/sef.php' );
                ?>
                <form action="index2.php" method="post" name="adminForm">
                <table class="adminheading">
                <tr>
                        <th>
                        Links Manager
                        </th>
                        <td>
                        Filter:
                        </td>
                        <td>
                        <input type="text" name="search" value="<?php echo $search;?>" class="text_area" onChange="document.adminForm.submit();" />
                        </td>
                        <td width="right">
                        <?php echo $lists['catid'];?>
                        </td>
                </tr>
                </table>

                <table class="adminlist">
                <tr>
                        <th width="5">
                        #
                        </th>
                        <th width="20">
                        <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" />
                        </th>
                        <th class="title">
                        Title
                        </th>
                        <th width="5%">
                        Published
                        </th>
                        <th colspan="2" width="5%">
                        Reorder
                        </th>
                        <th width="5%" align="center">
                        Backlink
                        </th>
                        <th width="25%" align="left">
                        Category
                        </th>
                        <th width="25%" align="left">
                        Site
                        </th>
                        <th width="15%" title="Direct URL to this link">
                        DL
                        </th>
<?php /*
                        <th width="15%">
                        Hits in/out
                        </th>
                        <th width="4%" align="left">
                        CY
                        </th>
                        <th width="4%" align="left">
                        PR
                        </th>
                        <th width="8%" align="left">
                        Indexed
                        </th>
                        <th width="8%" align="left">
                        Backlinks
                        </th>     */ ?>
                </tr>
                <?php
                $k = 0;
                for ($i=0, $n=count( $rows ); $i < $n; $i++) {
                        $row = &$rows[$i];

                        $link         = 'index2.php?option=com_linkexchange&task=editA&hidemainmenu=1&id='. $row->id;

                        $task        = $row->published ? 'unpublish' : 'publish';
                        $img         = $row->published ? 'publish_g.png' : 'publish_x.png';
                        $alt         = $row->published ? 'Published' : 'Unpublished';
                        $go_img      = 'search_f2.png';

                        if($row->backlinks>0)      { $state_img='apply_f2.png';   $state_alt="Present ".$row->backlinks." links on page"; }
                        elseif($row->backlinks==0) { $state_img='cancel.png';     $state_alt="Not checked"; }
                        elseif($row->backlinks<0)  { $state_img='publish_x.png';  $state_alt="BackLink absent"; }
                        else                       { $state_img='cancel.png';     $state_alt="Unknown"; }

                        $checked         = mosCommonHTML::CheckedOutProcessing( $row, $i );

                        $row->cat_link         = 'index2.php?option=com_categories&section=com_linkexchanges&task=editA&hidemainmenu=1&id='. $row->catid;
                        ?>
                        <tr class="<?php echo "row$k"; ?>">
                                <td>
                                <?php echo $pageNav->rowNumber( $i ); ?>
                                </td>
                                <td>
                                <?php echo $checked; ?>
                                </td>
                                <td>
                                <?php
                                if ( $row->checked_out && ( $row->checked_out != $my->id ) ) {
                                        echo $row->title;
                                } else {
                                        ?>
                                        <a href="<?php echo $link; ?>" title="Edit Links">
                                        <?php echo $row->title; ?>
                                        </a>
                                        <?php
                                }
                                ?>
                                </td>
                                <td align="center">
                                <a href="javascript: void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')">
                                <img src="images/<?php echo $img;?>" width="12" height="12" border="0" alt="<?php echo $alt; ?>" />
                                </a>
                                </td>
                                <td>
                                <?php echo $pageNav->orderUpIcon( $i, ($row->catid == @$rows[$i-1]->catid) ); ?>
                                </td>
                                  <td>
                                <?php echo $pageNav->orderDownIcon( $i, $n, ($row->catid == @$rows[$i+1]->catid) ); ?>
                                </td>
                                <td align="center">
                                <a href="check">
                                <img src="images/<?php echo $state_img;?>" width="12" height="12" border="0" alt="<?php echo $state_alt; ?>" />
                                </a>&nbsp;
                                <a href="<?php echo $row->backurl; ?>">
                                <img src="images/<?php echo $go_img;?>" width="12" height="12" border="0" alt="View backlink page" />
                                </a>
                                </td>
                                <td>
                                <a href="<?php echo $row->cat_link; ?>" title="Edit Category">
                                <?php echo $row->category; ?>
                                </a>
                                </td>
                                <td align="left">
                                <a href="<?php echo $row->url; ?>"><?php echo $row->url; ?></a>
                                </td>
                                <td align="center">

                                <a href="<?php $link="index.php?option=com_linkexchange&Pageid=".$row->id; if(function_exists(sefRelToAbs)) $link=sefRelToAbs($link);  echo $link; ?>">Pageid=<?php echo $row->id; ?> </a>
                                </td>
<?php /*
                                <td align="center">
                                <?php echo $row->hits; ?>&nbsp;/&nbsp;<?php echo $row->hits_in; ?>
                                </td>
                                <td align="left">
                                <?php echo $row->cy; ?>
                                </td>
                                <td align="left">
                                <?php echo $row->pr; ?>
                                </td>
                                <td align="left">
                                <?php echo $row->indexed; ?>
                                </td>
                                <td align="left">
                                <?php echo $row->backlinks; ?>
                                </td>     */ ?>
                        </tr>
                        <?php
                        $k = 1 - $k;
                }
                ?>
                </table>
                <?php echo $pageNav->getListFooter(); ?>
                <input type="hidden" name="option" value="<?php echo $option;?>" />
                <input type="hidden" name="task" value="" />
                <input type="hidden" name="boxchecked" value="0" />
                <input type="hidden" name="hidemainmenu" value="0">
                </form>
                <?php
        }

        function showRanks( $option, &$rows, &$lists, &$search, &$pageNav ) {
                global $my;

                mosCommonHTML::loadOverlib();
                ?>
                <form action="index2.php" method="post" name="adminForm">
                <table class="adminheading">
                <tr>
                        <th>
                        Rank Reviews
                        </th>
                        <td>
                        Filter:
                        </td>
                        <td>
                        <input type="text" name="search" value="<?php echo $search;?>" class="text_area" onChange="document.adminForm.submit();" />
                        </td>
                        <td width="right">
                        <?php echo $lists['catid'];?>
                        </td>
                </tr>
                </table>

                <table class="adminlist">
                <tr>
                        <th width="5">
                        #
                        </th>
                        <th width="20">
                        <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" />
                        </th>
                        <th class="title">
                        Title
                        </th>
                        <th width="5%">
                        Published
                        </th>
                        <th align="center">
                        Backlink
                        </th>
                        <th align="left">
                        Category
                        </th>
                        <th align="left">
                        Host
                        </th>
                        <th align="left">
                        Ranks
                        </th>
                        <th align="left">
                        Links
                        </th>
                        <th align="center">
                        Yandex
                        </th>
                        <th align="center">
                        Google
                        </th>
                        <th align="center">
                        Rambler
                        </th>
                </tr>
                <?php
                $k = 0;
                for ($i=0, $n=count( $rows ); $i < $n; $i++) {
                        $row = &$rows[$i];
                        if(strlen($row->backurl) && !strstr($row->backurl,"http:"))$row->backurl="http://".$row->backurl;

                        $link         = 'index2.php?option=com_linkexchange&task=editA&hidemainmenu=1&id='. $row->id;

                        $task        = $row->published ? 'unpublish' : 'publish';
                        $img         = $row->published ? 'publish_g.png' : 'publish_x.png';
                        $alt         = $row->published ? 'Published' : 'Unpublished';
                        $go_img      = 'search_f2.png';

                        if($row->backlinks>0)      { $state_img='apply_f2.png';   $state_alt="Present ".$row->backlinks." links on page"; }
                        elseif($row->backlinks==0) { $state_img='cancel.png';     $state_alt="Not checked"; }
                        elseif($row->backlinks==-1)  { $state_img='publish_x.png';  $state_alt="BackLink absent"; }
                        elseif($row->backlinks<-1)  { $state_img='cancel_f2.png';  $state_alt="Error ".$row->backlinks." on opening page"; }
                        else                       { $state_img='cancel.png';     $state_alt="Unknown"; }

                        $checked         = mosCommonHTML::CheckedOutProcessing( $row, $i );

                        $row->cat_link         = 'index2.php?option=com_categories&section=com_linkexchanges&task=editA&hidemainmenu=1&id='. $row->catid;
                        ?>
                        <tr class="<?php echo "row$k"; ?>">
                                <td>
                                <?php echo $pageNav->rowNumber( $i ); ?>
                                </td>
                                <td>
                                <?php echo $checked; ?>
                                </td>
                                <td>
                                <?php
                                if ( $row->checked_out && ( $row->checked_out != $my->id ) ) {
                                        echo $row->title;
                                } else {
                                        ?>
                                        <a href="<?php echo $link; ?>" title="Edit Links">
                                        <?php echo $row->title; ?>
                                        </a>
                                        <?php
                                }
                                ?>
                                </td>
                                <td align="center">
                                <a href="javascript: void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')">
                                <img src="images/<?php echo $img;?>" width="12" height="12" border="0" alt="<?php echo $alt; ?>" />
                                </a>
                                </td>
                                <td align="left">
                                <a href="check">
                                <img src="images/<?php echo $state_img;?>" width="12" height="12" border="0" alt="<?php echo $state_alt; ?>" />
                                </a>&nbsp;
                                <?php if(strlen($row->backurl)) { ?>
                                <a href="<?php echo $row->backurl; ?>">
                                <img src="images/<?php echo $go_img;?>" width="12" height="12" border="0" alt="View backlink page" />
                                </a>
                                <?php } ?>
                                </td>
                                <td>
                                <a href="<?php echo $row->cat_link; ?>" title="Edit Category">
                                <?php echo $row->category; ?>
                                </a>
                                </td>
                                <td align="left">
                                <a href="http://<?php echo $row->url; ?>"><?php echo $row->url; ?></a>
                                </td>
                                <td>
                                <img src="http://gofman.name/pr/img.php?url=<?php echo $row->url; ?>" width="80" height="15" border="0" alt="Page Rank   ">
                                </td>
                                <td align="left">
                                <?php echo $row->links_onpage; ?>
                                </td>
                                <td>
                                <a href="http://www.yandex.ru/yandsearch?text=%23link%3D%22<?php echo $row->url; ?>%22&amp;rpt=rad&amp;"><b>Lins</b></a>
                                &nbsp;<a href="http://www.yandex.ru/yandsearch?numdoc=50&text=%23url%3D%22<?php echo $row->url; ?>%22&pag=d"><b>Ind</b></a>
<?php /*                                <img src="http://www.yandex.ru/cycounter?<?php echo $row->url; ?>" alt=" " border="0" height="15" width="88"> ?>
                                &nbsp;<a href="http://www.yandex.ru/yandsearch?text=%23link%3D%22<?php echo $row->url; ?>%22&amp;rpt=rad&amp;"><b>L</b></a>
                                &nbsp;<a href="http://www.yandex.ru/yandsearch?numdoc=50&text=%23url%3D%22<?php echo $row->url; ?>%22&pag=d"><b>I</b></a>
                                <br />
                                <img src="http://gofman.name/pr/img.php?url=<?php echo $row->url_www; ?>" width="80" height="15" border="0" alt="Page Rank   ">

                                <img src="http://www.yandex.ru/cycounter?www.<?php echo $row->url_www; ?>" alt=" " border="0" height="15" width="88">
                                &nbsp;<a href="http://www.yandex.ru/yandsearch?text=%23link%3D%22<?php echo $row->url_www; ?>%22&amp;rpt=rad&amp;"><b>L</b></a>
                                &nbsp;<a href="http://www.yandex.ru/yandsearch?numdoc=50&text=%23url%3D%22<?php echo $row->url_www; ?>%22&pag=d"><b>I</b></a>  */ ?>
                                </td>
                                <td align="center">
                                <a href="http://www.google.com/search?q=link:<?php echo $row->url; ?>/&hl=ru"><b>Links</b></a>
                                &nbsp;<a href="http://www.google.com/search?&q=allinurl:<?php echo $row->url; ?>/+site:<?php echo $row->url; ?>"><b>Ind</b></a>
<?php /*                                &nbsp;<img  src="http://www.bhanvad.com/googlepr/sme_rank.php?site=<?php echo $row->url; ?>" alt="Google PageRank" border="0" height="15" width="44">
                                &nbsp;<a href="http://www.google.com/search?q=link:<?php echo $row->url; ?>/&hl=ru"><b>L</b></a>
                                &nbsp;<a href="http://www.google.com/search?&q=allinurl:<?php echo $row->url; ?>/+site:<?php echo $row->url; ?>"><b>I</b></a>
                                <br />
                                <img  src="http://www.bhanvad.com/googlepr/sme_rank.php?site=<?php echo $row->url_www; ?>" alt="Google PageRank" border="0" height="15" width="44">
                                &nbsp;<a href="http://www.google.com/search?q=link:<?php echo $row->url_www; ?>/&hl=ru"><b>L</b></a>
                                &nbsp;<a href="http://www.google.com/search?&q=allinurl:<?php echo $row->url_www; ?>/+site:<?php echo $row->url; ?>"><b>I</b></a> */ ?>
                                </td>
                                <td align="left">
                                <a href="http://search.rambler.ru/srch?words=<?php echo $row->url; ?>&news=2"><b>Links</b></a>
                                &nbsp;<a href="http://search.rambler.ru/srch?sort=0&filter=<?php echo $row->url; ?>&short=2&limit=50"><b>Ind</b></a>
                                </td>
                        </tr>
                        <?php
                        $k = 1 - $k;
                }
                ?>
                </table>
                <?php echo $pageNav->getListFooter(); ?>
                <input type="hidden" name="option" value="<?php echo $option;?>" />
                <input type="hidden" name="task" value="" />
                <input type="hidden" name="boxchecked" value="0" />
                <input type="hidden" name="hidemainmenu" value="0">
                </form>
                <?php
        }

        /**
        * Writes the edit form for new and existing record
        *
        * A new record is defined when <var>$row</var> is passed with the <var>id</var>
        * property set to 0.
        * @param mosLink The Link object
        * @param array An array of select lists
        * @param object Parameters
        * @param string The option
        */
        function editLink( &$row, &$lists, &$params, $option ) {
                mosMakeHtmlSafe( $row, ENT_QUOTES, 'description' );

                mosCommonHTML::loadOverlib();
                ?>
                <script language="javascript" type="text/javascript">
                function submitbutton(pressbutton) {
                        var form = document.adminForm;
                        if (pressbutton == 'cancel') {
                                submitform( pressbutton );
                                return;
                        }

                        // do field validation
                        if (form.title.value == ""){
                                alert( "Link item must have a title" );
                        } else if (form.catid.value == "0"){
                                alert( "You must select a category." );
                        } else if (form.url.value == ""){
                                alert( "You must have a url." );
                        } else {
                                submitform( pressbutton );
                        }
                }
                </script>
                <form action="index2.php" method="post" name="adminForm" id="adminForm">
                <table class="adminheading">
                <tr>
                        <th>
                        LinkExchange:
                        <small>
                        <?php echo $row->id ? 'Edit' : 'New';?>
                        </small>
                        </th>
                </tr>
                </table>

                <table width="100%">
                <tr>
                        <td width="60%" valign="top">
                                <table class="adminform">
                                <tr>
                                        <th colspan="2">
                                        Details
                                        </th>
                                </tr>
                                <tr>
                                        <td width="20%" align="right">
                                        Name:
                                        </td>
                                        <td width="80%">
                                        <input class="text_area" type="text" name="title" size="50" maxlength="250" value="<?php echo $row->title;?>" />
                                        </td>
                                </tr>
                                <tr>
                                        <td valign="top" align="right">
                                        Category:
                                        </td>
                                        <td>
                                        <?php echo $lists['catid']; ?>
                                        </td>
                                </tr>
                                <tr>
                                        <td valign="top" align="right">
                                        Exchange type:
                                        </td>
                                        <td>
                                        <?php echo $lists['exchange']; ?>
                                        </td>
                                </tr>
                                <tr>
                                        <td valign="top" align="right">
                                        URL:
                                        </td>
                                        <td>
                                        <input class="text_area" type="text" name="url" value="<?php echo $row->url; ?>" size="50" maxlength="250" />
                                        </td>
                                </tr>
                                <tr>
                                        <td valign="top" align="right">
                                        Back URL:
                                        </td>
                                        <td>
                                        <input class="text_area" type="text" name="backurl" value="<?php echo $row->backurl; ?>" size="50" maxlength="250" />
                                        </td>
                                </tr>
                                <tr>
                                        <td valign="top" align="right">
                                        Button image URL:
                                        </td>
                                        <td>
                                        <input class="text_area" type="text" name="button_img" value="<?php echo $row->button_img; ?>" size="50" maxlength="250" />
                                        </td>
                                </tr>
                                <tr>
                                        <td valign="top" align="right">
                                        Button code:
                                        </td>
                                        <td>
                                        <textarea class="text_area" cols="50" rows="5" name="button_code" style="width:500px" width="500"><?php echo $row->button_code; ?></textarea>
                                        </td>
                                </tr>
                                <tr>
                                        <td valign="top" align="right">
                                        Description:
                                        </td>
                                        <td>
                                        <textarea class="text_area" cols="50" rows="5" name="description" style="width:500px" width="500"><?php echo $row->description; ?></textarea>
                                        </td>
                                </tr>
                                <tr>
                                        <td valign="top" align="right">
                                        Partner parameters:
                                        </td>
                                        <td>
                                        Google PR <input class="text_area" type="text" name="pr" value="<?php echo $row->pr; ?>" size="6" maxlength="10" />
                                        Yandex CY <input class="text_area" type="text" name="cy" value="<?php echo $row->cy; ?>" size="6" maxlength="10" />
                                        Pages <input class="text_area" type="text" name="indexed" value="<?php echo $row->indexed; ?>" size="6" maxlength="10" />
                                        BackLinks<input class="text_area" type="text" name="backlinks" value="<?php echo $row->backlinks; ?>" size="6" maxlength="10" />
                                        </td>
                                </tr>
                                <tr>
                                        <td valign="top" align="right">
                                        Links on page
                                        </td>
                                        <td>
                                        <input class="text_area" type="text" name="links_onpage" value="<?php echo $row->links_onpage; ?>" size="10" maxlength="10" />
                                        </td>
                                </tr>
                                <tr>
                                        <td valign="top" align="right">
                                        Ordering:
                                        </td>
                                        <td>
                                        <?php echo $lists['ordering']; ?>
                                        </td>
                                </tr>
                                <tr>
                                        <td valign="top" align="right">
                                        Published:
                                        </td>
                                        <td>
                                        <?php echo $lists['published']; ?>
                                        </td>
                                </tr>
                                </table>
                        </td>
                        <td width="40%" valign="top">
                                <table class="adminform">
                                <tr>
                                        <th colspan="1">
                                        Parameters
                                        </th>
                                </tr>
                                <tr>
                                        <td>
                                        <?php echo $params->render();?>
                                        </td>
                                </tr>
                                </table>
                        </td>
                </tr>
                </table>

                <input type="hidden" name="id" value="<?php echo $row->id; ?>" />
                <input type="hidden" name="option" value="<?php echo $option;?>" />
                <input type="hidden" name="task" value="" />
                </form>
                <?php
        }

        function showCheckResults( &$rows, $option ) {
            mosCommonHTML::loadOverlib();

            ?>
                <form action="index2.php" method="post" name="adminForm">
                <table class="adminheading">
                <tr>
                        <th>
                        LinkExchange:
                        <small>
                        Check backlink results
                        </small>
                        </th>
                </tr>
                </table>

                <table class="adminlist">
                <tr>
                        <th width="5">
                        #
                        </th>
                        <th width="20">
                        <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" />
                        </th>
                        <th class="title">
                        Title
                        </th>
                        <th width="5%" align="center">
                        Backlink
                        </th>
                        <th width="50%" align="left">
                        Comment
                        </th>
                </tr>
            <?php
                for ($i=0, $n=count( $rows ), $k=0; $i < $n; $i++) {
                        $row = &$rows[$i];

                        if($row->backlinks>0)      { $state_img='apply_f2.png';   $state_alt="Present ".$row->backlinks." links on page"; }
                        elseif($row->backlinks==0) { $state_img='cancel.png';     $state_alt="Not checked"; }
                        elseif($row->backlinks==-1)  { $state_img='publish_x.png';  $state_alt="BackLink absent"; }
                        elseif($row->backlinks<-1)  { $state_img='cancel_f2.png';  $state_alt="Error ".$row->backlinks." on opening page"; }
                        else                       { $state_img='cancel.png';     $state_alt="Unknown"; }

                        $checked         = mosCommonHTML::CheckedOutProcessing( $row, $i );
                ?>
                        <tr class="<?php echo "row$k"; ?>">
                                <td>
                                <?php echo $row->id; ?>
                                </td>
                                <td>
                                <?php echo $checked; ?>
                                </td>
                                <td>
                                <?php echo $row->title; ?>
                                </td>
                                <td align="center">
                                <a href="check">
                                <img src="images/<?php echo $state_img;?>" width="12" height="12" border="0" alt="<?php echo $state_alt; ?>" />
                                </a>&nbsp;
                                <a href="<?php echo $row->backurl; ?>">
                                <img src="images/<?php echo $go_img;?>" width="12" height="12" border="0" alt="View backlink page" />
                                </a>
                                </td>
                                <td>
                                <?php echo $state_alt; /* switch($row->state)
                                {
                                    case(-1): echo "BackLink not found"; break;
                                    case(1):  echo "BackLink is correct"; break;
                                    case(0):  echo "URL don't checked"; break;
                                    default:  echo "Unknown error"; break;
                                } */ ?>
                                </td>
                        </tr>
                <input type="hidden" name="option" value="<?php echo $option;?>" />
                <input type="hidden" name="boxchecked" value="0" />
                <input type="hidden" name="hidemainmenu" value="0">
                <input type="hidden" name="task" value="check" />
                </form>
                        <?php
                        $k = 1 - $k;
                }

        }




}
?>
